Package edu.msu.cme.rdp.unifrac

# Class UnifracTreeBuilder

java.lang.Object
edu.msu.cme.rdp.unifrac.UnifracTreeBuilder

public class UnifracTreeBuilder extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`UnifracTreeBuilder.UnifracSample`

## Constructor Summary

Constructors
Constructor
Description
`UnifracTreeBuilder(List<ClassificationResult> classifications, Map<String,UnifracTreeBuilder.UnifracSample> sampleMap)`
`UnifracTreeBuilder(List<ClassificationResult> classifications, Map<String,UnifracTreeBuilder.UnifracSample> sampleMap, float cutoff)`

## Method Summary

Modifier and Type
Method
Description
`UnifracTree`
`getUnifracTree()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnifracTreeBuilder

public UnifracTreeBuilder(List<ClassificationResult> classifications, Map<String,UnifracTreeBuilder.UnifracSample> sampleMap)

### UnifracTreeBuilder

public UnifracTreeBuilder(List<ClassificationResult> classifications, Map<String,UnifracTreeBuilder.UnifracSample> sampleMap, float cutoff)

## Method Details

### getUnifracTree

public UnifracTree getUnifracTree()